Bug 16613 - MARC 09X Field Help Links are Broken
Summary: MARC 09X Field Help Links are Broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Eric Phetteplace
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-27 17:19 UTC by Eric Phetteplace
Modified: 2017-12-07 22:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
git-created patch, adds 2 lines of JS (1.13 KB, patch)
2016-05-27 17:19 UTC, Eric Phetteplace
Details | Diff | Splinter Review
fix MARC 09X help links (1.24 KB, patch)
2016-05-27 18:39 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 16613: fix MARC 09X help links (1.80 KB, patch)
2016-06-10 14:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16613: fix MARC 09X help links (1.87 KB, patch)
2016-06-10 14:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Phetteplace 2016-05-27 17:19:03 UTC Comment hidden (obsolete)
Comment 1 Nick Clemens 2016-05-27 18:07:58 UTC
Hi Eric,

I took the liberties of:
1 - Assigning the bug to you
2 - Marking the attachment as a patch
3 - Marking the bug as 'Needs Signoff'

I can help you with how to do any/all of these things if you have any questions. Congrats on submitting your first patch!

-Nick
Comment 2 Nicole C. Engard 2016-05-27 18:39:40 UTC Comment hidden (obsolete)
Comment 3 Eric Phetteplace 2016-05-27 20:32:31 UTC
Awesome, thanks for the quick turnaround! Really excited to start working with Koha.
Comment 4 Jonathan Druart 2016-06-10 14:47:24 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-06-10 14:48:19 UTC
Created attachment 52237 [details] [review]
Bug 16613: fix MARC 09X help links

The 09X MARC fields, such as 099 local call number or 090
locally-assigned Library of Congress call number, all point to
non-existent pages on the LC website, e.g.
http://www.loc.gov/marc/bibliographic/bd090.html

Test plan:
- enter the advanced cataloging editor
- begin to input any MARC tag of form 09X
- click the help link at the bottom of the browser window
=> Without this patch, taken to a URL of form `'http://www.loc.gov/marc/bibliographic/bd' +
  tag + '.html'` which is broken because the only documentation for
  these tags is at https://www.loc.gov/marc/bibliographic/bd09x.html
=> With this patch applied, the link is correct

Signed-off-by: Nicole C Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-06-10 14:49:10 UTC
Hi Eric,
Have a loot at our wiki page https://wiki.koha-community.org/wiki/SubmitingAPatch for your next patch :)
Thanks for your fix!
Comment 7 Kyle M Hall 2016-06-10 17:48:39 UTC
Pushed to master for Koha 16.11, thanks phette!
Comment 8 Frédéric Demians 2016-06-15 07:49:10 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 9 Julian Maurice 2016-06-16 09:59:12 UTC
Patch pushed to 3.22.x, will be in 3.22.8